This page describes Revolution release 149.
Search these docs, or ask Revo a question — answers link the pages they came from.
Returns the storage manager overview with high level details about the storage devices
GET
/api/v1/{tenantId}/storage-manager/overview
Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenantId
required
string
Responses
Section titled “ Responses ”OK
object
deviceOverviews
Array<object>
object
id
string
status
string
slots
integer format: int32
used
integer format: int32
tempC
number format: double
co2
number format: double
rh
number format: double
accessAvgSeconds
number format: double
accessMinSeconds
number format: double
accessMaxSeconds
number format: double
throughputPerHour
number format: double
errors24h
integer format: int32
uptimePercent
number format: double
lastAccessedAt
string format: date-time
labwareMix
Array<string>
stores
Array<object>
object
storeId
string
slots
integer format: int32
used
integer format: int32
occupancyTrend24h
Array<number>
Bad Request
object
message
string
code
string
retryable
boolean
field
string
data
Too Many Requests
object
message
string
code
string
retryable
boolean
field
string
data
Service Unavailable
object
message
string
code
string
retryable
boolean
field
string
data
Gateway Timeout
object
message
string
code
string
retryable
boolean
field
string
data